# Class TransitionEventType

This class defines a type of hook, such as `onBefore` or `onEnter`. Plugins can define custom hook types, such as sticky states does for `onInactive`.

- Defined in router/transition/transition-event-type.js:6

#####
Index

### Constructors

constructor

### Properties

criteriaMatchPath
getErrorHandler
getResultHandler
hookOrder
hookPhase
name
reverseSort
synchronous

##
Constructors

### constructor

- new TransitionEventType(name, hookPhase, hookOrder, criteriaMatchPath, reverseSort?, getResultHandler?, getErrorHandler?, synchronous?): TransitionEventType

- #### Parameters

  - name: any
  - hookPhase: any
  - hookOrder: any
  - criteriaMatchPath: any
  - reverseSort: boolean = false
  - getResultHandler: ((hook: any) => ((result: any) => any)) = TransitionHook.HANDLE_RESULT
    - - (hook): ((result: any) => any)

      - These GetResultHandler(s) are used by [[invokeHook]] below Each HookType chooses a GetResultHandler (See: [[TransitionService._defineCoreEvents]])

        #### Parameters

        - hook: any

        #### Returns ((result: any) => any)

        - - (result): any

          - #### Parameters

            - result: any

            #### Returns any

  - getErrorHandler: (() => ((error: any) => any)) = TransitionHook.REJECT_ERROR
    - - (): ((error: any) => any)

      - #### Returns ((error: any) => any)

        - - (error): any

          - #### Parameters

            - error: any

            #### Returns any

  - synchronous: boolean = false

  #### Returns TransitionEventType

  - Defined in router/transition/transition-event-type.js:7

##
Properties

### criteriaMatchPath

criteriaMatchPath: any

- Defined in router/transition/transition-event-type.js:20

### getErrorHandler

getErrorHandler: (() => ((error: any) => any))

- Defined in router/transition/transition-event-type.js:23

### getResultHandler

getResultHandler: ((hook: any) => ((result: any) => any))

#### Type declaration

- - (hook): ((result: any) => any)

  - These GetResultHandler(s) are used by [[invokeHook]] below Each HookType chooses a GetResultHandler (See: [[TransitionService._defineCoreEvents]])

    #### Parameters

    - hook: any

    #### Returns ((result: any) => any)

    - - (result): any

      - #### Parameters

        - result: any

        #### Returns any

- Defined in router/transition/transition-event-type.js:22

### hookOrder

hookOrder: any

- Defined in router/transition/transition-event-type.js:19

### hookPhase

hookPhase: any

- Defined in router/transition/transition-event-type.js:18

### name

name: any

- Defined in router/transition/transition-event-type.js:17

### reverseSort

reverseSort: boolean

- Defined in router/transition/transition-event-type.js:21

### synchronous

synchronous: boolean

- Defined in router/transition/transition-event-type.js:24